#include <iostream>

extern "C" {
    void add_number(float x, float y, float* sum);
}

int main() {
    float a = 5.0;
    float b = 10.0;
    float result;
    add_number(a, b, &result);
    std::cout << "the sum of the numbers is " << result << std::endl;
    return 0;
}
